Subject: bug#506: libvirt-daemon-system should not depend on policykit-1

From: Mark Hindley <[email-masked]>
Date: Fri, 14 Aug 2020 14:51:38 +0100

Thierry,

On Fri, Aug 14, 2020 at 01:47:55PM +0200, Thierry B. wrote:
> I give it a try to see if if it is something I can handle.

Great.

> I followed the guide in your link on a new Devuan ceres virtual machine and
> even I do not understand about nearly 75% of stuff inside the guide I am used
> to git.
> Now i am stuck at section #5 "Local build" in "Packaging Workﬂow" ->
> https://pastebin.com/Yrn3j7Ux

If you push your tree to your account on https://git.devuan.org, I will have a
look.

> I did all the steps before excepting this :
> 
> So far the guide says nothing about build dependencies. After some
> researches I did:

One of the nice things about gbp is you don't have to worrk about build-deps --
it handles that for you cleanly in the build chroot without messing with the
host system.

> $ sudo mk-build-deps -i
> $ sudo apt install ./libvirt-build-deps_6.5.0-1+devuan1_amd64.deb
> 
> I also get the sources with "apt source" and I noticed one difference.
> There is a "debian/gbp.conf" in git repository that I do not see in
> debian sources. I changed "pristine-tar" to "false" as indicated in the
> guide but as we can see in pastebin this file seems to be ignored:
> > (dpkg-source: info: using options from libvirt/debian/source/options:
> --tar--ignore=debian/gbp.conf)

I think that is OK. That is just for the build of the new source tarball.

> Also in "debian/control" section I did not found a source stanza
> "Origin" in "debian/control"

If it isn't there, you create it. I usually put it next to the Vcs-* fields.

Thanks.

Mark